Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454698 - bugzilla.getBugActivity returns different data format in 3.2 than in 2.18
Summary: bugzilla.getBugActivity returns different data format in 3.2 than in 2.18
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService
Version: 3.2
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: Noura El hawary
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHBZ30UpgradeTracker
TreeView+ depends on / blocked
 
Reported: 2008-07-09 19:31 UTC by David Lawrence
Modified: 2013-06-24 04:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-22 20:11:12 UTC


Attachments (Terms of Use)
Patch to change bugzilla.getBugActivity() to return ARRAY reference (v1) (deleted)
2008-07-09 20:12 UTC, David Lawrence
nelhawar: review+
Details | Diff

Description David Lawrence 2008-07-09 19:31:01 UTC
Description of problem:

2.18:

Bugzilla::RPC::getBugActivity returns an ARRAY reference. getBugActivity returns
the value returned from GetBugActivity in CGI.pl which is a reference to an
ARRAY containing (\@operations, $incomplete_data).

3.2:

extensions/compat_xmlrpc/code/webservice.pl getBugActivity returns a HASH reference.

($item{operations}, $item{incomplete_data}) =
Bugzilla::Bug::GetBugActivity($bug_id);

...

return \%item;

We need to change this to return the original ARRAY reference instead.

return ($item{operations}, $item{incomplete_data});

Comment 1 David Lawrence 2008-07-09 19:31:27 UTC
This breaks bugbot functionality currently.


Comment 2 David Lawrence 2008-07-09 20:12:15 UTC
Created attachment 311413 [details]
Patch to change bugzilla.getBugActivity() to return ARRAY reference (v1)

Hey Noura, I went ahead and created a simple patch to fix the return value for
bugzilla.getBugActivity to match 2.18 behaviour. Please review if you can.

Thanks
Dave

Comment 3 Noura El hawary 2008-07-10 00:36:25 UTC
Comment on attachment 311413 [details]
Patch to change bugzilla.getBugActivity() to return ARRAY reference (v1)

Hi Dave, patch looks good and works nicely, I committed few things to
webservice.pl so this patch might need to be applied manually. 

Noura

Comment 4 David Lawrence 2008-07-10 03:53:40 UTC
Thanks Noura. Checked in.

Comment 5 David Lawrence 2008-07-22 20:11:12 UTC
The changes have been pushed to partner-bugzilla.redhat.com and/or have been
recorded in the Bugzilla migration pages on the Bugzilla 3 upgrade Wiki.

Closing as NEXTRELEASE.
Dave


Note You need to log in before you can comment on or make changes to this bug.